.tyui-row {
    display: flex;
    flex-wrap: wrap;
    margin: 0;
    padding: 0;
}

.tyui-col {
    padding: 0;
    flex: 1 1 0;
}

.tyui-row--gap {
    margin: -.5rem;
}
.tyui-row--gap .tyui-col {
    padding: .5rem;
}

@media (min-width: var(--breakpoint-lg)) {
    .tyui-row--gap .tyui-col {
        padding: .75rem;
    }
}


.tyui-col-1 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 1 - 1rem);
    width: calc(100% / 12 * 1 - 1rem);
    max-width: calc(100% / 12 * 1 - 1rem);
}
.tyui-col-2 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 2 - 1rem);
    width: calc(100% / 12 * 2 - 1rem);
    max-width: calc(100% / 12 * 2 - 1rem);
}
.tyui-col-3 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 3 - 1rem);
    width: calc(100% / 12 * 3 - 1rem);
    max-width: calc(100% / 12 * 3 - 1rem);
}
.tyui-col-4 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 4 - 1rem);
    width: calc(100% / 12 * 4 - 1rem);
    max-width: calc(100% / 12 * 4 - 1rem);
}
.tyui-col-5 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 5 - 1rem);
    width: calc(100% / 12 * 5 - 1rem);
    max-width: calc(100% / 12 * 5 - 1rem);
}
.tyui-col-6 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 6 - 1rem);
    width: calc(100% / 12 * 6 - 1rem);
    max-width: calc(100% / 12 * 6 - 1rem);
}
.tyui-col-7 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 7 - 1rem);
    width: calc(100% / 12 * 7 - 1rem);
    max-width: calc(100% / 12 * 7 - 1rem);
}
.tyui-col-8 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 8 - 1rem);
    width: calc(100% / 12 * 8 - 1rem);
    max-width: calc(100% / 12 * 8 - 1rem);
}
.tyui-col-9 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 9 - 1rem);
    width: calc(100% / 12 * 9 - 1rem);
    max-width: calc(100% / 12 * 9 - 1rem);
}
.tyui-col-10 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 10 - 1rem);
    width: calc(100% / 12 * 10 - 1rem);
    max-width: calc(100% / 12 * 10 - 1rem);
}
.tyui-col-11 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 11 - 1rem);
    width: calc(100% / 12 * 11 - 1rem);
    max-width: calc(100% / 12 * 11 - 1rem);
}
.tyui-col-12 {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: calc(100% / 12 * 12 - 1rem);
    width: calc(100% / 12 * 12 - 1rem);
    max-width: calc(100% / 12 * 12 - 1rem);
}

.tyui-col-offset-1 {
    margin-left: calc(100% / 12 * 1);
}
.tyui-col-offset-2 {
    margin-left: calc(100% / 12 * 2);
}
.tyui-col-offset-3 {
    margin-left: calc(100% / 12 * 3);
}
.tyui-col-offset-4 {
    margin-left: calc(100% / 12 * 4);
}
.tyui-col-offset-5 {
    margin-left: calc(100% / 12 * 5);
}
.tyui-col-offset-6 {
    margin-left: calc(100% / 12 * 6);
}
.tyui-col-offset-7 {
    margin-left: calc(100% / 12 * 7);
}
.tyui-col-offset-8 {
    margin-left: calc(100% / 12 * 8);
}
.tyui-col-offset-9 {
    margin-left: calc(100% / 12 * 9);
}
.tyui-col-offset-10 {
    margin-left: calc(100% / 12 * 10);
}
.tyui-col-offset-11 {
    margin-left: calc(100% / 12 * 11);
}
.tyui-col-offset-12 {
    margin-left: calc(100% / 12 * 12);
}

@media (min-width: 15rem) {
    .tyui-col-gs-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-gs-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-gs-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-gs-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-gs-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-gs-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-gs-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-gs-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-gs-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-gs-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-gs-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-gs-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-gs-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-gs-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-gs-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-gs-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-gs-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-gs-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-gs-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-gs-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-gs-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-gs-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-gs-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-gs-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 22.5rem) {
    .tyui-col-us-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-us-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-us-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-us-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-us-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-us-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-us-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-us-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-us-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-us-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-us-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-us-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-us-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-us-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-us-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-us-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-us-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-us-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-us-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-us-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-us-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-us-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-us-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-us-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 30rem) {
    .tyui-col-xs-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-xs-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-xs-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-xs-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-xs-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-xs-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-xs-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-xs-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-xs-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-xs-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-xs-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-xs-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-xs-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-xs-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-xs-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-xs-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-xs-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-xs-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-xs-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-xs-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-xs-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-xs-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-xs-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-xs-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 36rem) {
    .tyui-col-sm-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-sm-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-sm-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-sm-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-sm-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-sm-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-sm-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-sm-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-sm-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-sm-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-sm-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-sm-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-sm-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-sm-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-sm-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-sm-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-sm-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-sm-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-sm-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-sm-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-sm-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-sm-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-sm-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-sm-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 48rem) {
    .tyui-col-md-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-md-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-md-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-md-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-md-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-md-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-md-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-md-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-md-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-md-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-md-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-md-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-md-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-md-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-md-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-md-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-md-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-md-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-md-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-md-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-md-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-md-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-md-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-md-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 62rem) {
    .tyui-col-lg-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-lg-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-lg-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-lg-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-lg-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-lg-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-lg-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-lg-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-lg-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-lg-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-lg-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-lg-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-lg-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-lg-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-lg-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-lg-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-lg-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-lg-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-lg-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-lg-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-lg-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-lg-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-lg-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-lg-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 75rem) {
    .tyui-col-xl-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-xl-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-xl-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-xl-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-xl-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-xl-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-xl-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-xl-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-xl-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-xl-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-xl-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-xl-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-xl-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-xl-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-xl-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-xl-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-xl-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-xl-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-xl-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-xl-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-xl-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-xl-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-xl-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-xl-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 90rem) {
    .tyui-col-ul-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-ul-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-ul-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-ul-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-ul-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-ul-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-ul-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-ul-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-ul-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-ul-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-ul-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-ul-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-ul-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-ul-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-ul-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-ul-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-ul-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-ul-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-ul-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-ul-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-ul-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-ul-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-ul-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-ul-12 {
        margin-left: calc(100% / 12 * 12);
    }
}


@media (min-width: 120rem) {
    .tyui-col-gl-1 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 1 - 1rem);
        width: calc(100% / 12 * 1 - 1rem);
        max-width: calc(100% / 12 * 1 - 1rem);
    }
    .tyui-col-gl-2 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 2 - 1rem);
        width: calc(100% / 12 * 2 - 1rem);
        max-width: calc(100% / 12 * 2 - 1rem);
    }
    .tyui-col-gl-3 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 3 - 1rem);
        width: calc(100% / 12 * 3 - 1rem);
        max-width: calc(100% / 12 * 3 - 1rem);
    }
    .tyui-col-gl-4 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 4 - 1rem);
        width: calc(100% / 12 * 4 - 1rem);
        max-width: calc(100% / 12 * 4 - 1rem);
    }
    .tyui-col-gl-5 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 5 - 1rem);
        width: calc(100% / 12 * 5 - 1rem);
        max-width: calc(100% / 12 * 5 - 1rem);
    }
    .tyui-col-gl-6 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 6 - 1rem);
        width: calc(100% / 12 * 6 - 1rem);
        max-width: calc(100% / 12 * 6 - 1rem);
    }
    .tyui-col-gl-7 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 7 - 1rem);
        width: calc(100% / 12 * 7 - 1rem);
        max-width: calc(100% / 12 * 7 - 1rem);
    }
    .tyui-col-gl-8 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 8 - 1rem);
        width: calc(100% / 12 * 8 - 1rem);
        max-width: calc(100% / 12 * 8 - 1rem);
    }
    .tyui-col-gl-9 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 9 - 1rem);
        width: calc(100% / 12 * 9 - 1rem);
        max-width: calc(100% / 12 * 9 - 1rem);
    }
    .tyui-col-gl-10 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 10 - 1rem);
        width: calc(100% / 12 * 10 - 1rem);
        max-width: calc(100% / 12 * 10 - 1rem);
    }
    .tyui-col-gl-11 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 11 - 1rem);
        width: calc(100% / 12 * 11 - 1rem);
        max-width: calc(100% / 12 * 11 - 1rem);
    }
    .tyui-col-gl-12 {
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: calc(100% / 12 * 12 - 1rem);
        width: calc(100% / 12 * 12 - 1rem);
        max-width: calc(100% / 12 * 12 - 1rem);
    }

    .tyui-col-offset-gl-1 {
        margin-left: calc(100% / 12 * 1);
    }
    .tyui-col-offset-gl-2 {
        margin-left: calc(100% / 12 * 2);
    }
    .tyui-col-offset-gl-3 {
        margin-left: calc(100% / 12 * 3);
    }
    .tyui-col-offset-gl-4 {
        margin-left: calc(100% / 12 * 4);
    }
    .tyui-col-offset-gl-5 {
        margin-left: calc(100% / 12 * 5);
    }
    .tyui-col-offset-gl-6 {
        margin-left: calc(100% / 12 * 6);
    }
    .tyui-col-offset-gl-7 {
        margin-left: calc(100% / 12 * 7);
    }
    .tyui-col-offset-gl-8 {
        margin-left: calc(100% / 12 * 8);
    }
    .tyui-col-offset-gl-9 {
        margin-left: calc(100% / 12 * 9);
    }
    .tyui-col-offset-gl-10 {
        margin-left: calc(100% / 12 * 10);
    }
    .tyui-col-offset-gl-11 {
        margin-left: calc(100% / 12 * 11);
    }
    .tyui-col-offset-gl-12 {
        margin-left: calc(100% / 12 * 12);
    }
}